मुख्य सामग्री पर जाएं
GET
/
2
/
compliance
/
jobs
अनुपालन जॉब प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/compliance/jobs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2021-01-06T18:40:40.000Z",
      "download_expires_at": "2021-01-06T18:40:40.000Z",
      "download_url": "<string>",
      "id": "1372966999991541762",
      "status": "created",
      "type": "tweets",
      "upload_expires_at": "2021-01-06T18:40:40.000Z",
      "upload_url": "<string>",
      "name": "my-job"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "result_count": 123
  }
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

क्वेरी पैरामीटर

type
enum<string>
आवश्यक

सूचीबद्ध करने के लिए Compliance Job का type।

उपलब्ध विकल्प:
tweets,
users
status
enum<string>

सूचीबद्ध करने के लिए Compliance Job का status।

उपलब्ध विकल्प:
created,
in_progress,
failed,
complete
compliance_job.fields
enum<string>[]

प्रदर्शित करने के लिए ComplianceJob फ़ील्ड्स की अल्पविराम-से-पृथक सूची। ComplianceJob ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
created_at,
download_expires_at,
download_url,
id,
name,
resumable,
status,
type,
upload_expires_at,
upload_url
उदाहरण:
[
"created_at",
"download_expires_at",
"download_url",
"id",
"name",
"resumable",
"status",
"type",
"upload_expires_at",
"upload_url"
]

प्रतिक्रिया

अनुरोध सफल रहा।

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

meta
object